# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Read_unit_to_Execution_unit			= yes

ifndef Behavioural
include 					$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

#-----[ Directory ]----------------------------------------

Read_unit_to_Execution_unit_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit

#-----[ Library ]------------------------------------------
Read_unit_to_Execution_unit_LIBRARY		= 	-lRead_unit_to_Execution_unit	\
							$(Behavioural_LIBRARY)	

Read_unit_to_Execution_unit_DIR_LIBRARY		=	-L$(Read_unit_to_Execution_unit_DIR)/lib	\
							$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Read_unit_to_Execution_unit_library		:
						@\
						$(MAKE) Behavioural_library;
						$(MAKE) --directory=$(Read_unit_to_Execution_unit_DIR) 	--makefile=Makefile;

Read_unit_to_Execution_unit_library_clean	:
						@\
						$(MAKE) Behavioural_library_clean;
						$(MAKE) --directory=$(Read_unit_to_Execution_unit_DIR) 	--makefile=Makefile clean;
